create_pnp#

NexximComponents.create_pnp(compname=None, value=50, location=[], angle=0, use_instance_id_netlist=False)[source]#

Create a PNP transistor.

Parameters:
compnamestr

Name of the PNP transistor. The default is None.

valuefloat, optional

Value for the PNP transistor. The default is None.

locationlist of float, optional

Position on the X axis and Y axis.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent